program mosaic;

{ kontrolliert die .MOS-Dateien fuer MOSAIC von MOVIE.BYU
  A.Herrmann 24.09.85 }

const tab:    char=#09;
      cr:     char=#13;
      blank:  char=#32;

var ch: char;
    name1,name2: string[14];
    datei1,datei2: text;
    azeile,nzeile: string[255];
    zz: integer;
    anz: integer;
    x,y,z_ebene: real;
    lg: integer;
    i,ii,j: integer;
    k,kk: integer;
    errflg: boolean;

begin { mosaic }

repeat
writeln; write('Name der Quelldatei = '); readln(name2);
name1:='B:6D'+name2+'.MOS';
assign(datei1,name1);
{$I-} reset(datei1) {$I+};
if Ioresult<>0 then writeln('Datei ',name1,' nicht gefunden.')
else
    begin
    zz:=0;    { Zeilenzaehler }
    repeat
        {$I-} readln(datei1,anz,z_ebene) ;
        zz:=zz+1;
        if Ioresult<>0 then
            begin
            if not errflg then writeln('Error in Zeile ',zz);
            errflg:=true;
            end
        else
            begin
            errflg:=false;
{            writeln('z-Ebene ',z_ebene:4:0,anz:5,' Punkte');}
            for i:=1 to anz do
                begin
                if i mod 3=1 then zz:=zz+1;
                read(datei1,x,y) {$I+};
                if Ioresult<>0 then
                    begin
                    if not errflg then writeln('Error in Zeile ',zz);
                    errflg:=true;
                    end
                else errflg:=false;
                end;
            end;
    until (anz=0) or (eof(datei1));
    close(datei1);
{    writeln; writeln; write('Restart ? (Y/N) ');
    repeat
        read(kbd,ch); writeln(ch);
    until ch in ['Y','y','N','n']; }
    ch:='y';
    end
until (ch in ['N','n']) or (name1='');

end. { mosaic }

